License problem upgrading to 4.1.1

Discussion in 'Install/Configuration' started by alex, Jun 12, 2011.

  1. alex

    alex Member

    I tried copying over serial.no and license.key from our running version but on the install I recieve:


    Found old configuration file under destination directory /usr/local/lsws.

    To upgrade, press 'Enter', current configuration will not be changed.
    To reinstall, press 'R' or 'r'.
    To change directory, press 'C' or 'c'.

    Would you like to Upgrade, Reinstall or Change directory [U/r/c]? U

    License key and serial number are available, testing...

    ./install.sh: line 41: bin/lshttpd: cannot execute binary file

    Contacting licensing server ...

    ./install.sh: line 62: /home/root2/lsws-4.1.1/bin/lshttpd: cannot execute binary file
    [ERROR] Sorry, installation will abort without a valid license key.

    For evaluation purpose, please obtain a trial license key from our web
    site http://www.litespeedtech.com, copy it to this directory
    and run Installer again.

    If a production license has been purchased, please copy the serial number
    from your confirmation email to this directory and run Installer again.

    NOTE:
    Please remember to set ftp to BINARY mode when you ftp trial.key from
    another machine.

    [root@linuxcp19432 lsws-4.1.1]#

    The license is from our 4.0.12 installation, does 4.1 require new license?
  2. mistwang

    mistwang LiteSpeed Staff

    You used a wrong package that does not match your OS. 32bit? 64bit?
    for license operations, please check our wiki.
  3. avaliaNon

    avaliaNon New Member

    License problem upgrading to 4 1 1

    Thanks for the info You wouldnt perchance have the KB article number?
  4. mistwang

    mistwang LiteSpeed Staff

Share This Page